package com.zsc.edu.gateway.modules.iot.device.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import jakarta.validation.constraints.NotNull;

import java.util.Map;

/**
 * @author 15864
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
public class DeviceServeDto {
    /**
     * 设备ID
     */
    @NotNull
    public Long id;
    /**
     * 客户ID
     */
    @NotNull
    public String clientId;

    /**
     * 触发事件名称
     */
    public String serveName;

    /**
     * 参数
     */
    public Map<String, Object> params;

}
