create table iot_param
(
    id bigserial not null
        constraint iot_param_name_pk
            primary key,
    data_type  integer,
    uint       varchar,
    type       integer,
    identifier varchar,
    name       varchar,
    remark     varchar
);

comment on table iot_param is '参数';

comment on column iot_param.id is '主键';

comment on column iot_param.data_type is '数据类型';

comment on column iot_param.uint is '单位';

comment on column iot_param.type is '输入输出类型';

comment on column iot_param.identifier is '标识';

comment on column iot_param.name is '名称';

comment on column iot_param.remark is '备注';

alter table iot_param
    owner to gitea;

